<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<!-- *NOTE: See also menu_pie_attachment_other.xml -->

<pie_menu
name="Avatar Pie">
    <pie_menu
    label="Manage"
    layout="topleft"
    name="Pie Object Manage">
        <pie_slice
         label="Eject"
         name="Eject...">
            <pie_slice.on_click
             function="Avatar.Eject" />
            <pie_slice.on_enable
             function="Avatar.EnableFreezeEject"/>
        </pie_slice>
        <pie_slice
         label="Freeze"
         name="Freeze...">
            <pie_slice.on_click
             function="Avatar.Freeze" />
            <pie_slice.on_enable
             function="Avatar.EnableFreezeEject"/>
        </pie_slice>
        <pie_slice
        label="Dump XML"
        name="Dump XML">
            <pie_slice.on_click
            function="Advanced.AppearanceToXML" />
            <pie_slice.on_enable
            function="Advanced.EnableAppearanceToXML"/>
        </pie_slice>
        <pie_slice
        label="Textures;;Debug"
        name="Debug...">
            <pie_slice.on_click
            function="Avatar.Debug" />
            <pie_slice.on_enable
            function="IsGodCustomerService"/>
        </pie_slice>
        <pie_slice
        enabled="false"
        label="Particle;Owner;Block"
        name="Mute Particle">
            <pie_slice.on_click
            function="Particle.Mute" />
            <pie_slice.on_enable
            function="EnableMuteParticle" />
        </pie_slice>
        <pie_slice
        enabled="false"
        label="Block"
        name="Avatar Mute">
            <pie_slice.on_click
            function="Avatar.Mute" />
            <pie_slice.on_enable
            function="Avatar.EnableMute" />
        </pie_slice>
        <pie_slice
        label="Report"
        name="abuse">
            <pie_slice.on_click
            function="Avatar.ReportAbuse" />
        </pie_slice>
        <pie_slice
        enabled="true"
        label="Derender"
        name="Derender">
            <pie_slice.on_click
            function="Object.Derender" />
        </pie_slice>
    </pie_menu>
    <pie_slice
    label="Call"
    name="Call">
        <pie_slice.on_click
        function="Avatar.Call" />
        <pie_slice.on_enable
        function="Avatar.EnableCall" />
    </pie_slice>
    <pie_slice
    label="IM"
    name="Send IM">
        <pie_slice.on_click
        function="Avatar.SendIM" />
    </pie_slice>
    <pie_slice
    enabled="false"
    label="Pay"
    name="Pay">
        <pie_slice.on_click
        function="PayObject" />
        <pie_slice.on_enable
        function="EnablePayAvatar" />
    </pie_slice>
    <pie_slice
    label="Profile; ;Show"
    name="Profile">
        <pie_slice.on_click
        function="ShowAgentProfile"
        parameter="hit object" />
    </pie_slice>
    <pie_slice
    label="Skeleton;;Reset"
    name="Reset Skeleton">
        <pie_slice.on_click
        function="Avatar.ResetSkeleton" />
    </pie_slice>
    <pie_menu
    name="Avatar Pie More"
    label="More">
        <pie_slice
        name="DoNotRender"
        label="Not;Render;Do">
            <pie_slice.on_check
            function="Avatar.CheckImpostorMode"
            parameter="1" />
            <pie_slice.on_click
            function="Avatar.SetImpostorMode"
            parameter="1" />
        </pie_slice>
        <pie_slice
        name="RenderNormally"
        label="Normally; ;Render">
            <pie_slice.on_check
            function="Avatar.CheckImpostorMode"
            parameter="0" />
            <pie_slice.on_click
            function="Avatar.SetImpostorMode"
            parameter="0" />
        </pie_slice>
        <pie_separator name="seperator"/>
        <pie_slice
        label="Zoom In"
        name="Zoom In">
            <pie_slice.on_click
            function="Tools.LookAtSelection"
            parameter="zoom" />
        </pie_slice>
        <pie_slice
        label="Avatar;SLURL;Copy"
        name="CopySLURL"
        enabled="true">
            <pie_slice.on_click
            function="Avatar.GetSLURL" />
        </pie_slice>
        <pie_slice
        label="Avatar;UUID;Copy"
        enabled="true"
        name="Copy Avatar UUID">
            <pie_slice.on_click
            function="Avatar.GetUUID" />
        </pie_slice>
        <pie_slice
        label="To;Group;Invite"
        name="Group Invite">
            <pie_slice.on_click
            function="Avatar.InviteToGroup" />
        </pie_slice>
        <pie_slice
        name="AlwaysRenderFully"
        label="Render;Fully;Always">
            <pie_slice.on_check
            function="Avatar.CheckImpostorMode"
            parameter="2" />
            <pie_slice.on_click
            function="Avatar.SetImpostorMode"
            parameter="2" />
        </pie_slice>
    </pie_menu>
    <pie_slice
    enabled="false"
    label="Add Friend"
    name="Add Friend">
        <pie_slice.on_click
        function="Avatar.AddFriend" />
        <pie_slice.on_enable
        function="Avatar.EnableAddFriend" />
    </pie_slice>
</pie_menu>
